Bug 846458 - [eap6] Infinispan cache config templates are missing predefined MODE property
[eap6] Infinispan cache config templates are missing predefined MODE property
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
high Severity unspecified (vote)
: ---
: JON 3.1.1
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On: 839320
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-08-07 16:44 EDT by Heiko W. Rupp
Modified: 2013-09-03 11:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 839320
Environment:
Last Closed: 2013-09-03 11:07:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2012-08-07 16:44:29 EDT
+++ This bug was initially created as a clone of Bug #839320 +++

Description of problem: when creating 'Cache' resource under 'Cache Container' resource, there are several configuration templates. The default one is fine, others have incorrectly defined 'Mode' property (boolean/radio) which results to invalid config in UI.


Version-Release number of selected component (if applicable):
4.5.0-master

How reproducible:always


Steps to Reproduce:
1.have AS7 with infinispan subsystem
2.create a 'Cache' resource under inifnispan->hibernate cache container resource
3.choose non-default configuration template
  
Actual results: checking Mode radio is required by user


Expected results:there is pre-checked some default for Mode property


Additional info:

--- Additional comment from ccrouch@redhat.com on 2012-08-02 18:25:21 EDT ---

This needs a BZ and fix for master as well as the release branch
Comment 1 Heiko W. Rupp 2012-08-09 14:21:53 EDT
master commit is 77cee38
Comment 2 Heiko W. Rupp 2012-08-10 08:57:55 EDT
release branch 910542aea3d3fdf2
Comment 3 John Sanda 2012-08-13 22:16:35 EDT
Moving to ON_QA since JON 3.1.1 ER2 build is availble - https://brewweb.devel.redhat.com/buildinfo?buildID=228250
Comment 4 Armine Hovsepyan 2012-08-21 09:45:55 EDT
SINC mode is chosen always (even id default template is chosen).
Comment 5 Heiko W. Rupp 2013-09-03 11:07:25 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.